Skip to main content
GET
Get a webhook by ID
You’re viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To see the current version, select 2026-10 in the menu at the top of the sidebar. To move your integration, see Upgrading to 2026-10.

Authorizations

Authorization
string
header
required

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Headers

authorization
string
required

Bearer token for API authentication

Path Parameters

id
string
required

Response

Webhook response

Webhook response

id
string
required

Unique webhook identifier

webhookUrl
string
required

URL that receives webhook events

secret
string | null
required

Signing key for this endpoint. Deliveries carry X-Sajn-Signature: t=,v1=<hex hmac-sha256 over ".">

enabled
boolean
required

Whether this webhook is active

failureNotificationEmail
string | null
required

Email address that receives a notification if webhook delivery fails

eventTriggers
string[]
required

List of event types this webhook subscribes to

createdAt
string<date-time>
required

Date and time when webhook was created

updatedAt
string<date-time>
required

Date and time when webhook was last updated